Subject: [Monami6] Re: WPF syndrome and MONAMI6 (was: [manet] RE: draft-boot-manet-nemo-analysis-00.txt)

From: Alexandru Petrescu <[email-masked]>
Date: Fri, 02 Mar 2007 17:31:27 +0100

Teco Boot wrote:
> Hi All,
> 
> The I-D "Analysis of MANET and NEMO" is published on IETF:
> http://www.ietf.org/internet-drafts/draft-boot-manet-nemo-analysis-00.txt
> 
> I was requested to publish the link for the I-D on the WG MLs.
> I ask special attention on the "Worst Path First syndrome", section 3.7.

Thanks for pointing to the MANEMO WPF syndrome problem, let me paste the 
illustrative figure here:

>               +-----+
>                | MR1 |
>                +-----+
>          11Mbps /  |
>          loss  /   |
>          <1%  /    | 1Mbps
>             +-+-+  | loss ~50%
>             |MR2|  |
>             +-+-+  |
>         11Mbps \   |
>            loss \  |
>              <1% \ |
>                  +-+-+
>                  |MR3|
>                  +---+
 >[...]
> [MR3] Selecting the direct path to MR1 is the worst in terms of
> bandwidth (1Mbps where 11Mbps is available), packet loss (50% where
> less than 2% is available) and used spectrum (single transmission
> over 1Mbps takes more time for sending a packet than 2 times over
> 11Mbps).

I think this problem looks very much like a problem where a Mobile Host 
is presented with two WiFi access networks, without any hint about which 
is better to the Internet.  This problem is not documented as such, but 
I believe MONAMI6 describes a similar problem with 'multi-homing' terms:

draft-ietf-monami6-mipv6-analysis-02.txt:
> (H1,Cn): [Mobile Host has] 1 HoA, n CoAs
> 
> Another possible configuration is a MN with several interfaces 
> connected to different links.  Note that one of the interfaces of the
>  MN may be connected to its home link.
> 
> Achievable goals: Reliability, Load Sharing, Interface switching (if
>  the MN is equipped with several interfaces) [...] o  Load Sharing
> and Interface Switching
> 
> This configuration allows to share the load and set preferences among
> different paths between the HA and the MN when BT mode is used, and
> between the CN and the MN when RO mode is used.  In order to achieve
> load sharing and interface switching under this scenario, the MN
> would need to register several CoAs with its unique HoA.  However,
> the present specification of MIPv6 only allows the MN to register a
> single CoA per HoA.  This is discussed in Section 6.2.1.  When a
> single HoA is bounded to several CoAs at the same time, the MN or
> HA/CN must be able to select the appropriate CoA.

Based on this comparison, do you think that WPF syndrome is related to 
the (H1, Cn) MONAMI6 Scenario?  Or to another MONAMI6 Scenario?  Or not 
at all to MONAMI6?

Alex

_______________________________________________
Monami6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/monami6